# WebXR with OpenCV

This page contains all the relevant code to load up the webcam as part of the WebXR / A-Frame library.
The A-Frame library is used to identify an image marker through the webcam, and overlay with a digital copy of the image.
The OpenCV library grabs the digital copy of the image and manipulates it with a Canny filter.
A bit of JavaScript puts this manipulated image back at the overlayed digital copy.
Therefore, once the image marker is in view, it's replaced with a Canny filtered version.

The A-Frame code currently has a spoofed mouse pointer in the centre (the circle).
When the marker passes into this mouse (i.e. mouseenter), the Canny manipulation changes.

A-Frame documentation: https://aframe.io/docs/1.4.0/introduction/

Create new markers from: https://ar-js-org.github.io/AR.js/three.js/examples/marker-training/examples/generator.html


## How to run/test the system
The HTML file will not run locally unless through a local webserver (and so avoiding CORS errors)
Load up a command-line interface and run `python -m http.server`
